%define url_ver %(echo %{version} | cut -d. -f1,2)

#exclude plugin .so from provides
%global __provides_exclude_from %{_libdir}/xfce4/panel/plugins/.*\\.so

Summary:	System load plugin for the Xfce panel
Name:		xfce4-systemload-plugin
Version:	1.3.2
Release:	%mkrel 1
License:	BSD
Group:		Graphical desktop/XFCE
URL:		https://docs.xfce.org/panel-plugins/xfce4-systemload-plugin
Source0:	https://archive.xfce.org/src/panel-plugins/xfce4-systemload-plugin/%{url_ver}/%{name}-%{version}.tar.xz
Patch1:		0001-build-Fix-failure-due-to-wrong-var-type-Fixes-25.patch
BuildRequires: git
BuildRequires: intltool
BuildRequires: xfce4-dev-tools
BuildRequires: lib64atk1.0-devel
BuildRequires: lib64cairo-devel
BuildRequires: lib64gdk_pixbuf2.0_0-devel
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64gtk+3.0-devel
BuildRequires: lib64pango1.0-devel
BuildRequires: lib64upower-glib-devel
BuildRequires: lib64xfce4panel2.0-devel 
BuildRequires: lib64xfce4ui2-devel
BuildRequires: lib64xfce4util-devel


Requires:	xfce4-panel
Requires:   glibc >= 2.33

%description
A system load panel plugin for the Xfce Desktop Environment.

%prep
%setup -q
%apply_patches

%build
%xdt_autogen

%configure2_5x
%make_build

%install
rm -rf %buildroot
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%{_libdir}/xfce4/panel/plugins/libsystemload.so
%{_datadir}/xfce4/panel/plugins/systemload.desktop
%{_datadir}/icons


%changelog
* Thu May 04 2023 tex - 1.3.2-1pclos2023
- new version

* Tue Apr 06 2021 tex - 1.3.1-1pclos2021
- new version

* Thu Mar 11 2021 tex - 1.3.0-1pclos2021
- new version

* Mon Dec 21 2020 tex - 1.2.4-1pclos2020
- new version 1.2.4
